# Generated by Django 2.1.3 on 2018-11-10 10:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BlockModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='DayModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('load_level', models.CharField(choices=[('High', 'High'), ('Low', 'Low'), ('Middle', 'Middle')], max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='GroupModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('class_number', models.CharField(max_length=3)),
            ],
        ),
        migrations.CreateModel(
            name='LessonModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lesson_number', models.IntegerField(choices=[('Eighth', 'Eighth'), ('Fifth', 'Fifth'), ('First', 'First'), ('Fourth', 'Fourth'), ('Second', 'Second'), ('Seventh', 'Seventh'), ('Sixth', 'Sixth'), ('Third', 'Third')])),
                ('day', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schedule.DayModel')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schedule.GroupModel')),
            ],
        ),
        migrations.CreateModel(
            name='RoomModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('room_type', models.CharField(choices=[('Computer', 'Computer'), ('Ordinary', 'Ordinary'), ('Sport', 'Sport')], default='Ordinary', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='SubgroupModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='SubjectModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(max_length=30)),
                ('is_subgroup_req', models.BooleanField(blank=True, default=False, null=True)),
                ('difficulty_level', models.FloatField(default=1.0)),
                ('block', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schedule.BlockModel')),
            ],
        ),
        migrations.CreateModel(
            name='TeacherModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(max_length=100)),
                ('block', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schedule.BlockModel')),
            ],
        ),
        migrations.AddField(
            model_name='subgroupmodel',
            name='subject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schedule.SubjectModel'),
        ),
        migrations.AddField(
            model_name='lessonmodel',
            name='subgroup',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schedule.SubgroupModel'),
        ),
    ]
